Index: trunk/MagicSoft/Mars/mhvstime/MHPixVsTime.cc
===================================================================
--- trunk/MagicSoft/Mars/mhvstime/MHPixVsTime.cc	(revision 8907)
+++ trunk/MagicSoft/Mars/mhvstime/MHPixVsTime.cc	(revision 9153)
@@ -169,5 +169,5 @@
 // Fill the histograms with data from a MPixVsTime-Container.
 //
-Bool_t MHPixVsTime::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHPixVsTime::Fill(const MParContainer *par, const Stat_t w)
 {
     const MCamEvent *evt = par ? dynamic_cast<const MCamEvent*>(par) : fEvt;
@@ -175,5 +175,5 @@
     {
         *fLog << err << dbginf << "No MCamEvent found..." << endl;
-        return kFALSE;
+        return kERROR;
     }
 
@@ -182,5 +182,5 @@
     evt->GetPixelContent(val, fIndex, *fCam, fType);
     if (!TMath::Finite(val))
-        return kCONTINUE;
+        return kTRUE;  // Use kCONTINUE with extreme care!
 
     Double_t t = 0;
@@ -196,5 +196,5 @@
         evt->GetPixelContent(rms, fIndex, *fCam, fTypeErr);
         if (!TMath::Finite(rms))
-            return kCONTINUE;
+            return kTRUE;  // Use kCONTINUE with extreme care!
     }
 
Index: trunk/MagicSoft/Mars/mhvstime/MHPixVsTime.h
===================================================================
--- trunk/MagicSoft/Mars/mhvstime/MHPixVsTime.h	(revision 8907)
+++ trunk/MagicSoft/Mars/mhvstime/MHPixVsTime.h	(revision 9153)
@@ -39,5 +39,5 @@
 
     Bool_t SetupFill(const MParList *pList);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
 
 public:
Index: trunk/MagicSoft/Mars/mhvstime/MHSectorVsTime.cc
===================================================================
--- trunk/MagicSoft/Mars/mhvstime/MHSectorVsTime.cc	(revision 8907)
+++ trunk/MagicSoft/Mars/mhvstime/MHSectorVsTime.cc	(revision 9153)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MHSectorVsTime.cc,v 1.13 2007-02-01 11:24:19 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MHSectorVsTime.cc,v 1.14 2008-11-11 11:42:16 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -214,5 +214,5 @@
 // Fill the histograms with data from a MCamEvent
 //
-Bool_t MHSectorVsTime::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHSectorVsTime::Fill(const MParContainer *par, const Stat_t w)
 {
     const MCamEvent *evt = par ? dynamic_cast<const MCamEvent*>(par) : fEvt;
@@ -220,5 +220,5 @@
     {
         *fLog << err << dbginf << "No MCamEvent found..." << endl;
-        return kFALSE;
+        return kERROR;
     }
 
Index: trunk/MagicSoft/Mars/mhvstime/MHSectorVsTime.h
===================================================================
--- trunk/MagicSoft/Mars/mhvstime/MHSectorVsTime.h	(revision 8907)
+++ trunk/MagicSoft/Mars/mhvstime/MHSectorVsTime.h	(revision 9153)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-!  $Name: not supported by cvs2svn $:$Id: MHSectorVsTime.h,v 1.7 2007-02-01 11:24:19 tbretz Exp $
+!  $Name: not supported by cvs2svn $:$Id: MHSectorVsTime.h,v 1.8 2008-11-11 11:42:16 tbretz Exp $
 \* ======================================================================== */
 #ifndef MARS_MHSectorVsTime
@@ -57,5 +57,5 @@
     // MH
     Bool_t SetupFill(const MParList *pList);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
     Bool_t Finalize();
 
Index: trunk/MagicSoft/Mars/mhvstime/MHVsTime.cc
===================================================================
--- trunk/MagicSoft/Mars/mhvstime/MHVsTime.cc	(revision 8907)
+++ trunk/MagicSoft/Mars/mhvstime/MHVsTime.cc	(revision 9153)
@@ -205,5 +205,5 @@
 // Set the next data point. If the graph exceeds fMaxPts remove the first
 //
-Bool_t MHVsTime::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHVsTime::Fill(const MParContainer *par, const Stat_t w)
 {
     Double_t t = 0;
@@ -219,5 +219,5 @@
         {
             *fLog << err << dbginf << "No MTime found..." << endl;
-            return kFALSE;
+            return kERROR;
         }
         // If the time is not valid skip this entry
Index: trunk/MagicSoft/Mars/mhvstime/MHVsTime.h
===================================================================
--- trunk/MagicSoft/Mars/mhvstime/MHVsTime.h	(revision 8907)
+++ trunk/MagicSoft/Mars/mhvstime/MHVsTime.h	(revision 9153)
@@ -65,5 +65,5 @@
 
     Bool_t SetupFill(const MParList *pList);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
 
     TString GetDataMember() const;
